Xerces-J API: Class DocumentBuilderImpl

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.jaxp
Class DocumentBuilderImpl

    java.lang.Object
      |
      +--javax.xml.parsers.DocumentBuilder
            |
            +--org.apache.xerces.jaxp.DocumentBuilderImpl

public class DocumentBuilderImpl
extends javax.xml.parsers.DocumentBuilder

Version:
  $Revision: 1.9 $
Author:
  Rajiv Mordani, Edwin Goei

Method Summary
`DOMImplementation` | `getDOMImplementation()` Obtain an instance of a `DOMImplementation` object.
`boolean` | `isNamespaceAware()` Indicates whether or not this parser is configured to understand namespaces.
`boolean` | `isValidating()` Indicates whether or not this parser is configured to validate XML documents.
`Document` | `newDocument()` Non-preferred: use the getDOMImplementation() method instead of this one to get a DOM Level 2 DOMImplementation object and then use DOM Level 2 methods to create a DOM Document object.
`Document` | `parse(InputSource is)` Parse the content of the given input source as an XML document and return a new DOM `Document` object.
`void` | `setEntityResolver(EntityResolver er)` Specify the `EntityResolver` to be used to resolve entities present in the XML document to be parsed.
`void` | `setErrorHandler(ErrorHandler eh)` Specify the `ErrorHandler` to be used to report errors present in the XML document to be parsed.

Methods inherited from class javax.xml.parsers.DocumentBuilder
`parse, parse, parse, parse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### newDocument

    public Document newDocument()

  Non-preferred: use the getDOMImplementation() method instead of this one to get a DOM Level 2 DOMImplementation object and then use DOM Level 2 methods to create a DOM Document object.
  Overrides:
    newDocument in class javax.xml.parsers.DocumentBuilder
  Tags copied from class: javax.xml.parsers.DocumentBuilder
  Returns:
    A new instance of a DOM Document object.

### getDOMImplementation

    public DOMImplementation getDOMImplementation()

  Description copied from class: javax.xml.parsers.DocumentBuilder
  Obtain an instance of a `DOMImplementation` object.
  Overrides:
    getDOMImplementation in class javax.xml.parsers.DocumentBuilder
  Tags copied from class: javax.xml.parsers.DocumentBuilder
  Returns:
    A new instance of a `DOMImplementation`.

### parse

    public Document parse(InputSource is)
                   throws SAXException,
                          java.io.IOException

  Description copied from class: javax.xml.parsers.DocumentBuilder
  Parse the content of the given input source as an XML document and return a new DOM `Document` object.
  Overrides:
    parse in class javax.xml.parsers.DocumentBuilder
  Tags copied from class: javax.xml.parsers.DocumentBuilder
  Parameters:
    `is` - InputSource containing the content to be parsed.
  Returns:
    A new DOM Document object.
  Throws:
    java.io.IOException - If any IO errors occur.
    SAXException - If any parse errors occur.
    java.lang.IllegalArgumentException - If the InputSource is null.
  See Also:
    `DocumentHandler`

### isNamespaceAware

    public boolean isNamespaceAware()

  Description copied from class: javax.xml.parsers.DocumentBuilder
  Indicates whether or not this parser is configured to understand namespaces.
  Overrides:
    isNamespaceAware in class javax.xml.parsers.DocumentBuilder
  Tags copied from class: javax.xml.parsers.DocumentBuilder
  Returns:
    true if this parser is configured to understand namespaces; false otherwise.

### isValidating

    public boolean isValidating()

  Description copied from class: javax.xml.parsers.DocumentBuilder
  Indicates whether or not this parser is configured to validate XML documents.
  Overrides:
    isValidating in class javax.xml.parsers.DocumentBuilder
  Tags copied from class: javax.xml.parsers.DocumentBuilder
  Returns:
    true if this parser is configured to validate XML documents; false otherwise.

### setEntityResolver

    public void setEntityResolver(EntityResolver er)

  Description copied from class: javax.xml.parsers.DocumentBuilder
  Specify the `EntityResolver` to be used to resolve entities present in the XML document to be parsed. Setting this to `null` will result in the underlying implementation using it's own default implementation and behavior.
  Overrides:
    setEntityResolver in class javax.xml.parsers.DocumentBuilder
  Tags copied from class: javax.xml.parsers.DocumentBuilder
  Parameters:
    `er` - The `EntityResolver` to be used to resolve entities present in the XML document to be parsed.

### setErrorHandler

    public void setErrorHandler(ErrorHandler eh)

  Description copied from class: javax.xml.parsers.DocumentBuilder
  Specify the `ErrorHandler` to be used to report errors present in the XML document to be parsed. Setting this to `null` will result in the underlying implementation using it's own default implementation and behavior.
  Overrides:
    setErrorHandler in class javax.xml.parsers.DocumentBuilder
  Tags copied from class: javax.xml.parsers.DocumentBuilder
  Parameters:
    `eh` - The `ErrorHandler` to be used to report errors present in the XML document to be parsed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.